All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PDevicePluginAdapter< DeviceBase > Class Template Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapter< DeviceBase >:

## Public Types

typedef PDevicePluginFactory < DeviceBase > | Factory_T
typedef Factory_T::Worker | Worker_T

## Public Member Functions

void | CreateFactory (const PString &device)
Public Member Functions inherited from PDevicePluginAdapterBase
| PDevicePluginAdapterBase ()
virtual | ~PDevicePluginAdapterBase ()

## Member Typedef Documentation

template<typename DeviceBase >

typedef PDevicePluginFactory<DeviceBase> PDevicePluginAdapter< DeviceBase >::Factory_T

template<typename DeviceBase >

typedef Factory_T::Worker PDevicePluginAdapter< DeviceBase >::Worker_T

## Member Function Documentation

template<typename DeviceBase >

void PDevicePluginAdapter< DeviceBase >::CreateFactory | ( | const PString & | device | ) |

inline virtual

Implements PDevicePluginAdapterBase.

References PFactory< AbstractClass, KeyType >::IsRegistered().

The documentation for this class was generated from the following file:

- plugin.h